<app-header></app-header>
<div class="container padding-top-140">
    <input type="text" class="form-control">
    <div class="filter">
        <button class="btn btn-default" data-toggle="modal" data-target="#modalFilters" >Filtros <i class="fas fa-filter"></i></button>
        <button class="btn btn-default" (click)="changeModeShowResults()">Lista <i class="fas fa-list"></i></button>
    </div>
    <div class="map" *ngIf="showModeResults=='map'">
        <img src="../../../assets/images/map.png">
    </div>

    <div class="cardscontainer" *ngIf="showModeResults=='cards'">
        <app-card [data]="data"  *ngFor="let pto of [1,2,3,4,5,6]" [ngStyle]="{'width': '33%'}"></app-card>
    </div>
</div>

<div class="modal fade" id="modalFilters" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" #modaloptc>
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <!--div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Opciones</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div -->
            <div class="modal-body">
                <div class="title">
                    <h3>Categorías</h3>
                    <a> Limpiar Filtros</a>
                </div>

                <div class="container-categories">
                    <div class="category" *ngFor="let cat of categoriesList; let index=index">
                        <div class="title"><label for="check-{{index}}">{{cat}}</label></div>
                        <input type="checkbox" name="" id="check-{{index}}">
                    </div>
                </div>

                <button class="btn btn-pink w-100 publish-btn" > Aplicar Filtros </button>
            </div>
            <!-- div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary">Send message</button>
            </div -->
        </div>
    </div>
</div>

